---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libap12t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x25E0, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x504D0, symBinAddr: 0x7320, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52410, symBinAddr: 0x9260, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52800, symBinAddr: 0x9650, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x537A0, symBinAddr: 0xA5F0, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x537B0, symBinAddr: 0xA600, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50010, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50014, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50018, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC1E, offset: 0xC1E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50160, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xC97, offset: 0xC97, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50218, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCB5, offset: 0xCB5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5021C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCCE, offset: 0xCCE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50220, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCE7, offset: 0xCE7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50224, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xD00, offset: 0xD00, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50228, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92EF, offset: 0x92EF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50230, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x9378, offset: 0x9378, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50240, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x9391, offset: 0x9391, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50248, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93AA, offset: 0x93AA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50250, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93C3, offset: 0x93C3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50258, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93DC, offset: 0x93DC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50260, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x93F6, offset: 0x93F6, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50268, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x94DC, offset: 0x94DC, size: 0x8, addend: 0x0, symName: __ZL8obj_free, symObjAddr: 0x502AC, symBinAddr: 0x71CC, symSize: 0x0 }
  - { offsetInCU: 0x94F5, offset: 0x94F5, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x502B0, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x950E, offset: 0x950E, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x502B8, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x9527, offset: 0x9527, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x502C8, symBinAddr: 0x71E8, symSize: 0x0 }
  - { offsetInCU: 0x9579, offset: 0x9579, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1260, symSize: 0x80 }
  - { offsetInCU: 0x960E, offset: 0x960E, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x11B0, symSize: 0xB0 }
  - { offsetInCU: 0x9669, offset: 0x9669, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x10B0, symSize: 0x100 }
  - { offsetInCU: 0x98FC, offset: 0x98FC, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x12E0, symSize: 0xC0 }
  - { offsetInCU: 0x994E, offset: 0x994E, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x13A0, symSize: 0x220 }
  - { offsetInCU: 0x9B33, offset: 0x9B33, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x15C0, symSize: 0xA0 }
  - { offsetInCU: 0x9BE6, offset: 0x9BE6, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1660, symSize: 0x110 }
  - { offsetInCU: 0x9CDC, offset: 0x9CDC, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1770, symSize: 0x150 }
  - { offsetInCU: 0x9E39, offset: 0x9E39, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x18C0, symSize: 0x30 }
  - { offsetInCU: 0x9EFA, offset: 0x9EFA, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x18F0, symSize: 0x150 }
  - { offsetInCU: 0xA0F2, offset: 0xA0F2, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1A40, symSize: 0x160 }
  - { offsetInCU: 0xA3B2, offset: 0xA3B2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1BA0, symSize: 0x4A0 }
  - { offsetInCU: 0xA625, offset: 0xA625, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x2040, symSize: 0x1B0 }
  - { offsetInCU: 0xA840, offset: 0xA840, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x21F0, symSize: 0xA0 }
  - { offsetInCU: 0xA90F, offset: 0xA90F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2290, symSize: 0x20 }
  - { offsetInCU: 0xA946, offset: 0xA946, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x22B0, symSize: 0x20 }
  - { offsetInCU: 0xA97D, offset: 0xA97D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x22D0, symSize: 0x20 }
  - { offsetInCU: 0xAAEC, offset: 0xAAEC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x22F0, symSize: 0x1A0 }
  - { offsetInCU: 0xAE08, offset: 0xAE08, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x2490, symSize: 0x150 }
  - { offsetInCU: 0xAFC5, offset: 0xAFC5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2880, symSize: 0x1D0 }
  - { offsetInCU: 0xB2C1, offset: 0xB2C1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2A50, symSize: 0x80 }
  - { offsetInCU: 0xB38A, offset: 0xB38A, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2AD0, symSize: 0x6C0 }
  - { offsetInCU: 0xBF00, offset: 0xBF00, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA590, symBinAddr: 0x4120, symSize: 0xB0 }
  - { offsetInCU: 0xBF77, offset: 0xBF77, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x3190, symSize: 0x70 }
  - { offsetInCU: 0xC033, offset: 0xC033, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x3200, symSize: 0xA0 }
  - { offsetInCU: 0xC15E, offset: 0xC15E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x32A0, symSize: 0x40 }
  - { offsetInCU: 0xC254, offset: 0xC254, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x32E0, symSize: 0x2B0 }
  - { offsetInCU: 0xC5FA, offset: 0xC5FA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3590, symSize: 0xC0 }
  - { offsetInCU: 0xC740, offset: 0xC740, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3650, symSize: 0x10 }
  - { offsetInCU: 0xC802, offset: 0xC802, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3660, symSize: 0x240 }
  - { offsetInCU: 0xCAEB, offset: 0xCAEB, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x38A0, symSize: 0x10 }
  - { offsetInCU: 0xCB48, offset: 0xCB48, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x38B0, symSize: 0x480 }
  - { offsetInCU: 0xD077, offset: 0xD077, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA1A0, symBinAddr: 0x3D30, symSize: 0x10 }
  - { offsetInCU: 0xD0D4, offset: 0xD0D4, size: 0x8, addend: 0x0, symName: _ObjectFree, symObjAddr: 0xA1B0, symBinAddr: 0x3D40, symSize: 0x30 }
  - { offsetInCU: 0xD11F, offset: 0xD11F, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0xA1E0, symBinAddr: 0x3D70, symSize: 0x70 }
  - { offsetInCU: 0xD178, offset: 0xD178, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP12_ap12t001_setTag, symObjAddr: 0xA250, symBinAddr: 0x3DE0, symSize: 0xC0 }
  - { offsetInCU: 0xD273, offset: 0xD273, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP12_ap12t001_flushObjectFreeEvents, symObjAddr: 0xA310, symBinAddr: 0x3EA0, symSize: 0xC0 }
  - { offsetInCU: 0xD368, offset: 0xD368, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA3D0, symBinAddr: 0x3F60, symSize: 0x1C0 }
  - { offsetInCU: 0xD58B, offset: 0xD58B, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA640, symBinAddr: 0x41D0, symSize: 0x36A }
...
